/* SPDX-License-Identifier: GPL-2.0 */
/*
 * IMG video bus4 mmu registers
 *
 * Copyright (c) Imagination Technologies Ltd.
 * Copyright (c) 2018 Texas Instruments Incorporated - http://www.ti.com/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation version 2.
 *
 * This program is distributed "as is" WITHOUT ANY WARRANTY of any
 * kind, whether express or implied; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#ifndef _IMG_VIDEO_BUS4_MMU_REGS_H
#define _IMG_VIDEO_BUS4_MMU_REGS_H

#define IMG_VIDEO_BUS4_MMU_MMU_DIR_BASE_ADDR_OFFSET		(0x0020)
#define IMG_VIDEO_BUS4_MMU_MMU_DIR_BASE_ADDR_STRIDE		(4)
#define IMG_VIDEO_BUS4_MMU_MMU_DIR_BASE_ADDR_NO_ENTRIES		(4)

/* IMG_VIDEO_BUS4_MMU, MMU_DIR_BASE_ADDR, MMU_DIR_BASE_ADDR */
#define IMG_VIDEO_BUS4_MMU_MMU_DIR_BASE_ADDR_MMU_DIR_BASE_ADDR_MASK		(0xFFFFFFFF)
#define IMG_VIDEO_BUS4_MMU_MMU_DIR_BASE_ADDR_MMU_DIR_BASE_ADDR_LSBMASK		(0xFFFFFFFF)
#define IMG_VIDEO_BUS4_MMU_MMU_DIR_BASE_ADDR_MMU_DIR_BASE_ADDR_SHIFT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_DIR_BASE_ADDR_MMU_DIR_BASE_ADDR_LENGTH		(32)
#define IMG_VIDEO_BUS4_MMU_MMU_DIR_BASE_ADDR_MMU_DIR_BASE_ADDR_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_DIR_BASE_ADDR_MMU_DIR_BASE_ADDR_SIGNED_FIELD	(0)

#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_OFFSET		(0x0040)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_STRIDE		(4)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_NO_ENTRIES		(4)

/* IMG_VIDEO_BUS4_MMU, MMU_TILE_CFG, TILE_128INTERLEAVE_SPCR3 */
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_128INTERLEAVE_SPCR3_MASK		(0x10000000)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_128INTERLEAVE_SPCR3_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_128INTERLEAVE_SPCR3_SHIFT		(28)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_128INTERLEAVE_SPCR3_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_128INTERLEAVE_SPCR3_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_128INTERLEAVE_SPCR3_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_TILE_CFG, TILE_ENABLE_SPCR3 */
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_ENABLE_SPCR3_MASK		(0x08000000)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_ENABLE_SPCR3_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_ENABLE_SPCR3_SHIFT		(27)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_ENABLE_SPCR3_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_ENABLE_SPCR3_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_ENABLE_SPCR3_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_TILE_CFG, TILE_STRIDE_SPCR3 */
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_STRIDE_SPCR3_MASK		(0x07000000)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_STRIDE_SPCR3_LSBMASK		(0x00000007)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_STRIDE_SPCR3_SHIFT		(24)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_STRIDE_SPCR3_LENGTH		(3)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_STRIDE_SPCR3_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_STRIDE_SPCR3_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_TILE_CFG, TILE_128INTERLEAVE_SPCR2 */
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_128INTERLEAVE_SPCR2_MASK		(0x00100000)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_128INTERLEAVE_SPCR2_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_128INTERLEAVE_SPCR2_SHIFT		(20)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_128INTERLEAVE_SPCR2_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_128INTERLEAVE_SPCR2_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_128INTERLEAVE_SPCR2_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_TILE_CFG, TILE_ENABLE_SPCR2 */
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_ENABLE_SPCR2_MASK		(0x00080000)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_ENABLE_SPCR2_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_ENABLE_SPCR2_SHIFT		(19)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_ENABLE_SPCR2_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_ENABLE_SPCR2_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_ENABLE_SPCR2_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_TILE_CFG, TILE_STRIDE_SPCR2 */
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_STRIDE_SPCR2_MASK		(0x00070000)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_STRIDE_SPCR2_LSBMASK		(0x00000007)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_STRIDE_SPCR2_SHIFT		(16)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_STRIDE_SPCR2_LENGTH		(3)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_STRIDE_SPCR2_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_STRIDE_SPCR2_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_TILE_CFG, TILE_128INTERLEAVE_SPCR1 */
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_128INTERLEAVE_SPCR1_MASK		(0x00001000)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_128INTERLEAVE_SPCR1_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_128INTERLEAVE_SPCR1_SHIFT		(12)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_128INTERLEAVE_SPCR1_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_128INTERLEAVE_SPCR1_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_128INTERLEAVE_SPCR1_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_TILE_CFG, TILE_ENABLE_SPCR1 */
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_ENABLE_SPCR1_MASK		(0x00000800)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_ENABLE_SPCR1_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_ENABLE_SPCR1_SHIFT		(11)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_ENABLE_SPCR1_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_ENABLE_SPCR1_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_ENABLE_SPCR1_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_TILE_CFG, TILE_STRIDE_SPCR1 */
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_STRIDE_SPCR1_MASK		(0x00000700)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_STRIDE_SPCR1_LSBMASK		(0x00000007)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_STRIDE_SPCR1_SHIFT		(8)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_STRIDE_SPCR1_LENGTH		(3)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_STRIDE_SPCR1_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_STRIDE_SPCR1_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_TILE_CFG, TILE_128INTERLEAVE */
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_128INTERLEAVE_MASK		(0x00000010)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_128INTERLEAVE_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_128INTERLEAVE_SHIFT		(4)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_128INTERLEAVE_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_128INTERLEAVE_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_128INTERLEAVE_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_TILE_CFG, TILE_ENABLE */
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_ENABLE_MASK		(0x00000008)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_ENABLE_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_ENABLE_SHIFT		(3)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_ENABLE_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_ENABLE_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_ENABLE_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_TILE_CFG, TILE_STRIDE */
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_STRIDE_MASK		(0x00000007)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_STRIDE_LSBMASK		(0x00000007)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_STRIDE_SHIFT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_STRIDE_LENGTH		(3)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_STRIDE_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_CFG_TILE_STRIDE_SIGNED_FIELD	(0)

#define IMG_VIDEO_BUS4_MMU_MMU_TILE_MIN_ADDR_OFFSET		(0x0050)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_MIN_ADDR_STRIDE		(4)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_MIN_ADDR_NO_ENTRIES		(4)

/* IMG_VIDEO_BUS4_MMU, MMU_TILE_MIN_ADDR, TILE_MIN_ADDR */
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_MIN_ADDR_TILE_MIN_ADDR_MASK		(0xFFFFFFFF)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_MIN_ADDR_TILE_MIN_ADDR_LSBMASK		(0xFFFFFFFF)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_MIN_ADDR_TILE_MIN_ADDR_SHIFT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_MIN_ADDR_TILE_MIN_ADDR_LENGTH		(32)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_MIN_ADDR_TILE_MIN_ADDR_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_MIN_ADDR_TILE_MIN_ADDR_SIGNED_FIELD	(0)

#define IMG_VIDEO_BUS4_MMU_MMU_TILE_MAX_ADDR_OFFSET		(0x0060)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_MAX_ADDR_STRIDE		(4)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_MAX_ADDR_NO_ENTRIES		(4)

/* IMG_VIDEO_BUS4_MMU, MMU_TILE_MAX_ADDR, TILE_MAX_ADDR */
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_MAX_ADDR_TILE_MAX_ADDR_MASK		(0xFFFFFFFF)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_MAX_ADDR_TILE_MAX_ADDR_LSBMASK		(0xFFFFFFFF)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_MAX_ADDR_TILE_MAX_ADDR_SHIFT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_MAX_ADDR_TILE_MAX_ADDR_LENGTH		(32)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_MAX_ADDR_TILE_MAX_ADDR_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_TILE_MAX_ADDR_TILE_MAX_ADDR_SIGNED_FIELD	(0)

#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL0_OFFSET		(0x0000)

/* IMG_VIDEO_BUS4_MMU, MMU_CONTROL0, MMU_TILING_SCHEME */
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL0_MMU_TILING_SCHEME_MASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL0_MMU_TILING_SCHEME_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL0_MMU_TILING_SCHEME_SHIFT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL0_MMU_TILING_SCHEME_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL0_MMU_TILING_SCHEME_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL0_MMU_TILING_SCHEME_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_CONTROL0, MMU_CACHE_POLICY */
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL0_MMU_CACHE_POLICY_MASK		(0x00000100)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL0_MMU_CACHE_POLICY_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL0_MMU_CACHE_POLICY_SHIFT		(8)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL0_MMU_CACHE_POLICY_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL0_MMU_CACHE_POLICY_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL0_MMU_CACHE_POLICY_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_CONTROL0, FORCE_CACHE_POLICY_BYPASS */
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL0_FORCE_CACHE_POLICY_BYPASS_MASK		(0x00000200)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL0_FORCE_CACHE_POLICY_BYPASS_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL0_FORCE_CACHE_POLICY_BYPASS_SHIFT		(9)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL0_FORCE_CACHE_POLICY_BYPASS_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL0_FORCE_CACHE_POLICY_BYPASS_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL0_FORCE_CACHE_POLICY_BYPASS_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_CONTROL0, STALL_ON_PROTOCOL_FAULT */
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL0_STALL_ON_PROTOCOL_FAULT_MASK		(0x00001000)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL0_STALL_ON_PROTOCOL_FAULT_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL0_STALL_ON_PROTOCOL_FAULT_SHIFT		(12)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL0_STALL_ON_PROTOCOL_FAULT_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL0_STALL_ON_PROTOCOL_FAULT_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL0_STALL_ON_PROTOCOL_FAULT_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_CONTROL0, USE_TILE_STRIDE_PER_CONTEXT */
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL0_USE_TILE_STRIDE_PER_CONTEXT_MASK		(0x00010000)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL0_USE_TILE_STRIDE_PER_CONTEXT_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL0_USE_TILE_STRIDE_PER_CONTEXT_SHIFT		(16)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL0_USE_TILE_STRIDE_PER_CONTEXT_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL0_USE_TILE_STRIDE_PER_CONTEXT_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL0_USE_TILE_STRIDE_PER_CONTEXT_SIGNED_FIELD	(0)

#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_OFFSET		(0x0008)

/* IMG_VIDEO_BUS4_MMU, MMU_CONTROL1, MMU_FLUSH */
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_FLUSH_MASK		(0x0000000F)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_FLUSH_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_FLUSH_SHIFT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_FLUSH_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_FLUSH_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_FLUSH_SIGNED_FIELD	(0)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_FLUSH_NO_REPS		(4)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_FLUSH_SIZE		(1)

/* IMG_VIDEO_BUS4_MMU, MMU_CONTROL1, MMU_INVALDC */
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_INVALDC_MASK		(0x00000F00)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_INVALDC_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_INVALDC_SHIFT		(8)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_INVALDC_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_INVALDC_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_INVALDC_SIGNED_FIELD	(0)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_INVALDC_NO_REPS		(4)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_INVALDC_SIZE		(1)

/* IMG_VIDEO_BUS4_MMU, MMU_CONTROL1, MMU_FAULT_CLEAR */
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_FAULT_CLEAR_MASK		(0x00010000)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_FAULT_CLEAR_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_FAULT_CLEAR_SHIFT		(16)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_FAULT_CLEAR_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_FAULT_CLEAR_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_FAULT_CLEAR_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_CONTROL1, PROTOCOL_FAULT_CLEAR */
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_PROTOCOL_FAULT_CLEAR_MASK		(0x00100000)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_PROTOCOL_FAULT_CLEAR_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_PROTOCOL_FAULT_CLEAR_SHIFT		(20)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_PROTOCOL_FAULT_CLEAR_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_PROTOCOL_FAULT_CLEAR_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_PROTOCOL_FAULT_CLEAR_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_CONTROL1, MMU_PAUSE_SET */
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_PAUSE_SET_MASK		(0x01000000)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_PAUSE_SET_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_PAUSE_SET_SHIFT		(24)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_PAUSE_SET_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_PAUSE_SET_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_PAUSE_SET_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_CONTROL1, MMU_PAUSE_CLEAR */
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_PAUSE_CLEAR_MASK		(0x02000000)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_PAUSE_CLEAR_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_PAUSE_CLEAR_SHIFT		(25)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_PAUSE_CLEAR_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_PAUSE_CLEAR_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_PAUSE_CLEAR_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_CONTROL1, MMU_SOFT_RESET */
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_SOFT_RESET_MASK		(0x10000000)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_SOFT_RESET_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_SOFT_RESET_SHIFT		(28)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_SOFT_RESET_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_SOFT_RESET_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_CONTROL1_MMU_SOFT_RESET_SIGNED_FIELD	(0)

#define IMG_VIDEO_BUS4_MMU_MMU_BANK_INDEX_OFFSET		(0x0010)

/* IMG_VIDEO_BUS4_MMU, MMU_BANK_INDEX, MMU_BANK_INDEX */
#define IMG_VIDEO_BUS4_MMU_MMU_BANK_INDEX_MMU_BANK_INDEX_MASK		(0xC0000000)
#define IMG_VIDEO_BUS4_MMU_MMU_BANK_INDEX_MMU_BANK_INDEX_LSBMASK		(0x00000003)
#define IMG_VIDEO_BUS4_MMU_MMU_BANK_INDEX_MMU_BANK_INDEX_SHIFT		(30)
#define IMG_VIDEO_BUS4_MMU_MMU_BANK_INDEX_MMU_BANK_INDEX_LENGTH		(2)
#define IMG_VIDEO_BUS4_MMU_MMU_BANK_INDEX_MMU_BANK_INDEX_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_BANK_INDEX_MMU_BANK_INDEX_SIGNED_FIELD	(0)
#define IMG_VIDEO_BUS4_MMU_MMU_BANK_INDEX_MMU_BANK_INDEX_NO_REPS		(16)
#define IMG_VIDEO_BUS4_MMU_MMU_BANK_INDEX_MMU_BANK_INDEX_SIZE		(2)

#define IMG_VIDEO_BUS4_MMU_EXT_REQUEST_PRIORITY_ENABLE_OFFSET		(0x0014)

/* IMG_VIDEO_BUS4_MMU, EXT_REQUEST_PRIORITY_ENABLE, EXT_CMD_PRIORITY_ENABLE */
#define IMG_VIDEO_BUS4_MMU_EXT_REQUEST_PRIORITY_ENABLE_EXT_CMD_PRIORITY_ENABLE_MASK		(0x80000000)
#define IMG_VIDEO_BUS4_MMU_EXT_REQUEST_PRIORITY_ENABLE_EXT_CMD_PRIORITY_ENABLE_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_EXT_REQUEST_PRIORITY_ENABLE_EXT_CMD_PRIORITY_ENABLE_SHIFT		(31)
#define IMG_VIDEO_BUS4_MMU_EXT_REQUEST_PRIORITY_ENABLE_EXT_CMD_PRIORITY_ENABLE_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_EXT_REQUEST_PRIORITY_ENABLE_EXT_CMD_PRIORITY_ENABLE_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_EXT_REQUEST_PRIORITY_ENABLE_EXT_CMD_PRIORITY_ENABLE_SIGNED_FIELD	(0)
#define IMG_VIDEO_BUS4_MMU_EXT_REQUEST_PRIORITY_ENABLE_EXT_CMD_PRIORITY_ENABLE_NO_REPS		(32)
#define IMG_VIDEO_BUS4_MMU_EXT_REQUEST_PRIORITY_ENABLE_EXT_CMD_PRIORITY_ENABLE_SIZE		(1)

#define IMG_VIDEO_BUS4_MMU_REQUEST_PRIORITY_ENABLE_OFFSET		(0x0018)

/* IMG_VIDEO_BUS4_MMU, REQUEST_PRIORITY_ENABLE, CMD_PRIORITY_ENABLE */
#define IMG_VIDEO_BUS4_MMU_REQUEST_PRIORITY_ENABLE_CMD_PRIORITY_ENABLE_MASK		(0x00008000)
#define IMG_VIDEO_BUS4_MMU_REQUEST_PRIORITY_ENABLE_CMD_PRIORITY_ENABLE_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_REQUEST_PRIORITY_ENABLE_CMD_PRIORITY_ENABLE_SHIFT		(15)
#define IMG_VIDEO_BUS4_MMU_REQUEST_PRIORITY_ENABLE_CMD_PRIORITY_ENABLE_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_REQUEST_PRIORITY_ENABLE_CMD_PRIORITY_ENABLE_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_REQUEST_PRIORITY_ENABLE_CMD_PRIORITY_ENABLE_SIGNED_FIELD	(0)
#define IMG_VIDEO_BUS4_MMU_REQUEST_PRIORITY_ENABLE_CMD_PRIORITY_ENABLE_NO_REPS		(16)
#define IMG_VIDEO_BUS4_MMU_REQUEST_PRIORITY_ENABLE_CMD_PRIORITY_ENABLE_SIZE		(1)

/* IMG_VIDEO_BUS4_MMU, REQUEST_PRIORITY_ENABLE, CMD_MMU_PRIORITY_ENABLE */
#define IMG_VIDEO_BUS4_MMU_REQUEST_PRIORITY_ENABLE_CMD_MMU_PRIORITY_ENABLE_MASK		(0x00010000)
#define IMG_VIDEO_BUS4_MMU_REQUEST_PRIORITY_ENABLE_CMD_MMU_PRIORITY_ENABLE_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_REQUEST_PRIORITY_ENABLE_CMD_MMU_PRIORITY_ENABLE_SHIFT		(16)
#define IMG_VIDEO_BUS4_MMU_REQUEST_PRIORITY_ENABLE_CMD_MMU_PRIORITY_ENABLE_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_REQUEST_PRIORITY_ENABLE_CMD_MMU_PRIORITY_ENABLE_DEFAULT		(1)
#define IMG_VIDEO_BUS4_MMU_REQUEST_PRIORITY_ENABLE_CMD_MMU_PRIORITY_ENABLE_SIGNED_FIELD	(0)

#define IMG_VIDEO_BUS4_MMU_REQUEST_LIMITED_THROUGHPUT_OFFSET		(0x001C)

/* IMG_VIDEO_BUS4_MMU, REQUEST_LIMITED_THROUGHPUT, LIMITED_WORDS */
#define IMG_VIDEO_BUS4_MMU_REQUEST_LIMITED_THROUGHPUT_LIMITED_WORDS_MASK		(0x000003FF)
#define IMG_VIDEO_BUS4_MMU_REQUEST_LIMITED_THROUGHPUT_LIMITED_WORDS_LSBMASK		(0x000003FF)
#define IMG_VIDEO_BUS4_MMU_REQUEST_LIMITED_THROUGHPUT_LIMITED_WORDS_SHIFT		(0)
#define IMG_VIDEO_BUS4_MMU_REQUEST_LIMITED_THROUGHPUT_LIMITED_WORDS_LENGTH		(10)
#define IMG_VIDEO_BUS4_MMU_REQUEST_LIMITED_THROUGHPUT_LIMITED_WORDS_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_REQUEST_LIMITED_THROUGHPUT_LIMITED_WORDS_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, REQUEST_LIMITED_THROUGHPUT, REQUEST_GAP */
#define IMG_VIDEO_BUS4_MMU_REQUEST_LIMITED_THROUGHPUT_REQUEST_GAP_MASK		(0x0FFF0000)
#define IMG_VIDEO_BUS4_MMU_REQUEST_LIMITED_THROUGHPUT_REQUEST_GAP_LSBMASK		(0x00000FFF)
#define IMG_VIDEO_BUS4_MMU_REQUEST_LIMITED_THROUGHPUT_REQUEST_GAP_SHIFT		(16)
#define IMG_VIDEO_BUS4_MMU_REQUEST_LIMITED_THROUGHPUT_REQUEST_GAP_LENGTH		(12)
#define IMG_VIDEO_BUS4_MMU_REQUEST_LIMITED_THROUGHPUT_REQUEST_GAP_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_REQUEST_LIMITED_THROUGHPUT_REQUEST_GAP_SIGNED_FIELD	(0)

#define IMG_VIDEO_BUS4_MMU_MMU_ADDRESS_CONTROL_OFFSET		(0x0070)
#define IMG_VIDEO_BUS4_MMU_MMU_ADDRESS_CONTROL_TRUSTED		(IMG_TRUE)

/* IMG_VIDEO_BUS4_MMU, MMU_ADDRESS_CONTROL, MMU_BYPASS */
#define IMG_VIDEO_BUS4_MMU_MMU_ADDRESS_CONTROL_MMU_BYPASS_MASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_ADDRESS_CONTROL_MMU_BYPASS_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_ADDRESS_CONTROL_MMU_BYPASS_SHIFT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_ADDRESS_CONTROL_MMU_BYPASS_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_ADDRESS_CONTROL_MMU_BYPASS_DEFAULT		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_ADDRESS_CONTROL_MMU_BYPASS_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_ADDRESS_CONTROL, MMU_ENABLE_EXT_ADDRESSING */
#define IMG_VIDEO_BUS4_MMU_MMU_ADDRESS_CONTROL_MMU_ENABLE_EXT_ADDRESSING_MASK		(0x00000010)
#define IMG_VIDEO_BUS4_MMU_MMU_ADDRESS_CONTROL_MMU_ENABLE_EXT_ADDRESSING_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_ADDRESS_CONTROL_MMU_ENABLE_EXT_ADDRESSING_SHIFT		(4)
#define IMG_VIDEO_BUS4_MMU_MMU_ADDRESS_CONTROL_MMU_ENABLE_EXT_ADDRESSING_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_ADDRESS_CONTROL_MMU_ENABLE_EXT_ADDRESSING_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_ADDRESS_CONTROL_MMU_ENABLE_EXT_ADDRESSING_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_ADDRESS_CONTROL, SOFT_PAGE_SIZE */
#define IMG_VIDEO_BUS4_MMU_MMU_ADDRESS_CONTROL_SOFT_PAGE_SIZE_MASK		(0x00000700)
#define IMG_VIDEO_BUS4_MMU_MMU_ADDRESS_CONTROL_SOFT_PAGE_SIZE_LSBMASK		(0x00000007)
#define IMG_VIDEO_BUS4_MMU_MMU_ADDRESS_CONTROL_SOFT_PAGE_SIZE_SHIFT		(8)
#define IMG_VIDEO_BUS4_MMU_MMU_ADDRESS_CONTROL_SOFT_PAGE_SIZE_LENGTH		(3)
#define IMG_VIDEO_BUS4_MMU_MMU_ADDRESS_CONTROL_SOFT_PAGE_SIZE_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_ADDRESS_CONTROL_SOFT_PAGE_SIZE_SIGNED_FIELD	(0)

enum IMG_VIDEO_BUS4_MMU_MMU_ADDRESS_CONTROL_SOFT_PAGE_SIZE_ENUM {
	IMG_VIDEO_BUS4_MMU_SOFT_PAGE_SIZE_PAGE_64K = 0x4,
	IMG_VIDEO_BUS4_MMU_SOFT_PAGE_SIZE_PAGE_16K = 0x2,
	IMG_VIDEO_BUS4_MMU_SOFT_PAGE_SIZE_PAGE_4K = 0x0,
	IMG_VIDEO_BUS4_MMU_SOFT_PAGE_SIZE_PAGE_FORCE32BITS = 0x7FFFFFFFU
};

/* IMG_VIDEO_BUS4_MMU, MMU_ADDRESS_CONTROL, UPPER_ADDRESS_FIXED */
#define IMG_VIDEO_BUS4_MMU_MMU_ADDRESS_CONTROL_UPPER_ADDRESS_FIXED_MASK		(0x00FF0000)
#define IMG_VIDEO_BUS4_MMU_MMU_ADDRESS_CONTROL_UPPER_ADDRESS_FIXED_LSBMASK		(0x000000FF)
#define IMG_VIDEO_BUS4_MMU_MMU_ADDRESS_CONTROL_UPPER_ADDRESS_FIXED_SHIFT		(16)
#define IMG_VIDEO_BUS4_MMU_MMU_ADDRESS_CONTROL_UPPER_ADDRESS_FIXED_LENGTH		(8)
#define IMG_VIDEO_BUS4_MMU_MMU_ADDRESS_CONTROL_UPPER_ADDRESS_FIXED_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_ADDRESS_CONTROL_UPPER_ADDRESS_FIXED_SIGNED_FIELD	(0)

#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_OFFSET		(0x0080)

/* IMG_VIDEO_BUS4_MMU, MMU_CONFIG0, NUM_REQUESTORS */
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_NUM_REQUESTORS_MASK		(0x0000000F)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_NUM_REQUESTORS_LSBMASK		(0x0000000F)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_NUM_REQUESTORS_SHIFT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_NUM_REQUESTORS_LENGTH		(4)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_NUM_REQUESTORS_DEFAULT		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_NUM_REQUESTORS_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_CONFIG0, EXTENDED_ADDR_RANGE */
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_EXTENDED_ADDR_RANGE_MASK		(0x000000F0)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_EXTENDED_ADDR_RANGE_LSBMASK		(0x0000000F)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_EXTENDED_ADDR_RANGE_SHIFT		(4)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_EXTENDED_ADDR_RANGE_LENGTH		(4)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_EXTENDED_ADDR_RANGE_DEFAULT		(8)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_EXTENDED_ADDR_RANGE_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_CONFIG0, GROUP_OVERRIDE_SIZE */
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_GROUP_OVERRIDE_SIZE_MASK		(0x00000700)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_GROUP_OVERRIDE_SIZE_LSBMASK		(0x00000007)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_GROUP_OVERRIDE_SIZE_SHIFT		(8)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_GROUP_OVERRIDE_SIZE_LENGTH		(3)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_GROUP_OVERRIDE_SIZE_DEFAULT		(2)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_GROUP_OVERRIDE_SIZE_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_CONFIG0, ADDR_COHERENCY_SUPPORTED */
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_ADDR_COHERENCY_SUPPORTED_MASK		(0x00001000)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_ADDR_COHERENCY_SUPPORTED_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_ADDR_COHERENCY_SUPPORTED_SHIFT		(12)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_ADDR_COHERENCY_SUPPORTED_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_ADDR_COHERENCY_SUPPORTED_DEFAULT		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_ADDR_COHERENCY_SUPPORTED_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_CONFIG0, MMU_SUPPORTED */
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_MMU_SUPPORTED_MASK		(0x00002000)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_MMU_SUPPORTED_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_MMU_SUPPORTED_SHIFT		(13)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_MMU_SUPPORTED_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_MMU_SUPPORTED_DEFAULT		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_MMU_SUPPORTED_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_CONFIG0, NUM_REQUESTORS_EXT */
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_NUM_REQUESTORS_EXT_MASK		(0x0000C000)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_NUM_REQUESTORS_EXT_LSBMASK		(0x00000003)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_NUM_REQUESTORS_EXT_SHIFT		(14)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_NUM_REQUESTORS_EXT_LENGTH		(2)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_NUM_REQUESTORS_EXT_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_NUM_REQUESTORS_EXT_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_CONFIG0, TILE_ADDR_GRANULARITY */
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_TILE_ADDR_GRANULARITY_MASK		(0x001F0000)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_TILE_ADDR_GRANULARITY_LSBMASK		(0x0000001F)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_TILE_ADDR_GRANULARITY_SHIFT		(16)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_TILE_ADDR_GRANULARITY_LENGTH		(5)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_TILE_ADDR_GRANULARITY_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_TILE_ADDR_GRANULARITY_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_CONFIG0, NO_READ_REORDER */
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_NO_READ_REORDER_MASK		(0x00200000)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_NO_READ_REORDER_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_NO_READ_REORDER_SHIFT		(21)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_NO_READ_REORDER_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_NO_READ_REORDER_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_NO_READ_REORDER_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_CONFIG0, TAGS_SUPPORTED */
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_TAGS_SUPPORTED_MASK		(0xFFC00000)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_TAGS_SUPPORTED_LSBMASK		(0x000003FF)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_TAGS_SUPPORTED_SHIFT		(22)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_TAGS_SUPPORTED_LENGTH		(10)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_TAGS_SUPPORTED_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG0_TAGS_SUPPORTED_SIGNED_FIELD	(0)

#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_OFFSET		(0x0084)

/* IMG_VIDEO_BUS4_MMU, MMU_CONFIG1, OSA_PAGE_SIZE */
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_PAGE_SIZE_MASK		(0x0000000F)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_PAGE_SIZE_LSBMASK		(0x0000000F)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_PAGE_SIZE_SHIFT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_PAGE_SIZE_LENGTH		(4)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_PAGE_SIZE_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_PAGE_SIZE_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_CONFIG1, PAGE_CACHE_ENTRIES */
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_PAGE_CACHE_ENTRIES_MASK		(0x0000FF00)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_PAGE_CACHE_ENTRIES_LSBMASK		(0x000000FF)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_PAGE_CACHE_ENTRIES_SHIFT		(8)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_PAGE_CACHE_ENTRIES_LENGTH		(8)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_PAGE_CACHE_ENTRIES_DEFAULT		(7)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_PAGE_CACHE_ENTRIES_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_CONFIG1, DIR_CACHE_ENTRIES */
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_DIR_CACHE_ENTRIES_MASK		(0x001F0000)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_DIR_CACHE_ENTRIES_LSBMASK		(0x0000001F)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_DIR_CACHE_ENTRIES_SHIFT		(16)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_DIR_CACHE_ENTRIES_LENGTH		(5)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_DIR_CACHE_ENTRIES_DEFAULT		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_DIR_CACHE_ENTRIES_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_CONFIG1, BANDWIDTH_COUNT_SUPPORTED */
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_BANDWIDTH_COUNT_SUPPORTED_MASK		(0x01000000)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_BANDWIDTH_COUNT_SUPPORTED_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_BANDWIDTH_COUNT_SUPPORTED_SHIFT		(24)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_BANDWIDTH_COUNT_SUPPORTED_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_BANDWIDTH_COUNT_SUPPORTED_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_BANDWIDTH_COUNT_SUPPORTED_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_CONFIG1, STALL_COUNT_SUPPORTED */
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_STALL_COUNT_SUPPORTED_MASK		(0x02000000)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_STALL_COUNT_SUPPORTED_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_STALL_COUNT_SUPPORTED_SHIFT		(25)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_STALL_COUNT_SUPPORTED_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_STALL_COUNT_SUPPORTED_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_STALL_COUNT_SUPPORTED_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_CONFIG1, LATENCY_COUNT_SUPPORTED */
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_LATENCY_COUNT_SUPPORTED_MASK		(0x04000000)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_LATENCY_COUNT_SUPPORTED_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_LATENCY_COUNT_SUPPORTED_SHIFT		(26)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_LATENCY_COUNT_SUPPORTED_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_LATENCY_COUNT_SUPPORTED_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_LATENCY_COUNT_SUPPORTED_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_CONFIG1, SUPPORT_READ_INTERLEAVE */
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_SUPPORT_READ_INTERLEAVE_MASK		(0x10000000)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_SUPPORT_READ_INTERLEAVE_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_SUPPORT_READ_INTERLEAVE_SHIFT		(28)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_SUPPORT_READ_INTERLEAVE_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_SUPPORT_READ_INTERLEAVE_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_SUPPORT_READ_INTERLEAVE_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_CONFIG1, SUPPORT_STRIDE_PER_CONTEXT */
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_SUPPORT_STRIDE_PER_CONTEXT_MASK		(0x20000000)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_SUPPORT_STRIDE_PER_CONTEXT_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_SUPPORT_STRIDE_PER_CONTEXT_SHIFT		(29)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_SUPPORT_STRIDE_PER_CONTEXT_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_SUPPORT_STRIDE_PER_CONTEXT_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_SUPPORT_STRIDE_PER_CONTEXT_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_CONFIG1, SUPPORT_EXCLUSIVE */
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_SUPPORT_EXCLUSIVE_MASK		(0x40000000)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_SUPPORT_EXCLUSIVE_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_SUPPORT_EXCLUSIVE_SHIFT		(30)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_SUPPORT_EXCLUSIVE_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_SUPPORT_EXCLUSIVE_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_SUPPORT_EXCLUSIVE_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_CONFIG1, SUPPORT_SECURE */
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_SUPPORT_SECURE_MASK		(0x80000000)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_SUPPORT_SECURE_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_SUPPORT_SECURE_SHIFT		(31)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_SUPPORT_SECURE_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_SUPPORT_SECURE_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_CONFIG1_SUPPORT_SECURE_SIGNED_FIELD	(0)

#define IMG_VIDEO_BUS4_MMU_MMU_STATUS0_OFFSET		(0x0088)

/* IMG_VIDEO_BUS4_MMU, MMU_STATUS0, MMU_PF_N_RW */
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS0_MMU_PF_N_RW_MASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS0_MMU_PF_N_RW_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS0_MMU_PF_N_RW_SHIFT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS0_MMU_PF_N_RW_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS0_MMU_PF_N_RW_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS0_MMU_PF_N_RW_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_STATUS0, MMU_SECURE_FAULT */
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS0_MMU_SECURE_FAULT_MASK		(0x00000002)
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS0_MMU_SECURE_FAULT_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS0_MMU_SECURE_FAULT_SHIFT		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS0_MMU_SECURE_FAULT_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS0_MMU_SECURE_FAULT_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS0_MMU_SECURE_FAULT_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_STATUS0, MMU_FAULT_ADDR */
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS0_MMU_FAULT_ADDR_MASK		(0xFFFFF000)
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS0_MMU_FAULT_ADDR_LSBMASK		(0x000FFFFF)
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS0_MMU_FAULT_ADDR_SHIFT		(12)
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS0_MMU_FAULT_ADDR_LENGTH		(20)
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS0_MMU_FAULT_ADDR_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS0_MMU_FAULT_ADDR_SIGNED_FIELD	(0)

#define IMG_VIDEO_BUS4_MMU_MMU_STATUS1_OFFSET		(0x008C)

/* IMG_VIDEO_BUS4_MMU, MMU_STATUS1, MMU_FAULT_REQ_STAT */
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS1_MMU_FAULT_REQ_STAT_MASK		(0x0000FFFF)
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS1_MMU_FAULT_REQ_STAT_LSBMASK		(0x0000FFFF)
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS1_MMU_FAULT_REQ_STAT_SHIFT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS1_MMU_FAULT_REQ_STAT_LENGTH		(16)
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS1_MMU_FAULT_REQ_STAT_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS1_MMU_FAULT_REQ_STAT_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_STATUS1, MMU_FAULT_REQ_ID */
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS1_MMU_FAULT_REQ_ID_MASK		(0x003F0000)
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS1_MMU_FAULT_REQ_ID_LSBMASK		(0x0000003F)
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS1_MMU_FAULT_REQ_ID_SHIFT		(16)
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS1_MMU_FAULT_REQ_ID_LENGTH		(6)
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS1_MMU_FAULT_REQ_ID_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS1_MMU_FAULT_REQ_ID_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_STATUS1, MMU_FAULT_INDEX */
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS1_MMU_FAULT_INDEX_MASK		(0x03000000)
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS1_MMU_FAULT_INDEX_LSBMASK		(0x00000003)
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS1_MMU_FAULT_INDEX_SHIFT		(24)
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS1_MMU_FAULT_INDEX_LENGTH		(2)
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS1_MMU_FAULT_INDEX_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS1_MMU_FAULT_INDEX_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_STATUS1, MMU_FAULT_RNW */
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS1_MMU_FAULT_RNW_MASK		(0x10000000)
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS1_MMU_FAULT_RNW_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS1_MMU_FAULT_RNW_SHIFT		(28)
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS1_MMU_FAULT_RNW_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS1_MMU_FAULT_RNW_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_STATUS1_MMU_FAULT_RNW_SIGNED_FIELD	(0)

#define IMG_VIDEO_BUS4_MMU_MMU_MEM_REQ_OFFSET		(0x0090)

/* IMG_VIDEO_BUS4_MMU, MMU_MEM_REQ, TAG_OUTSTANDING */
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_REQ_TAG_OUTSTANDING_MASK		(0x000003FF)
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_REQ_TAG_OUTSTANDING_LSBMASK		(0x000003FF)
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_REQ_TAG_OUTSTANDING_SHIFT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_REQ_TAG_OUTSTANDING_LENGTH		(10)
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_REQ_TAG_OUTSTANDING_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_REQ_TAG_OUTSTANDING_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_MEM_REQ, EXT_WRRESP_FAULT */
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_REQ_EXT_WRRESP_FAULT_MASK		(0x00001000)
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_REQ_EXT_WRRESP_FAULT_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_REQ_EXT_WRRESP_FAULT_SHIFT		(12)
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_REQ_EXT_WRRESP_FAULT_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_REQ_EXT_WRRESP_FAULT_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_REQ_EXT_WRRESP_FAULT_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_MEM_REQ, EXT_RDRESP_FAULT */
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_REQ_EXT_RDRESP_FAULT_MASK		(0x00002000)
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_REQ_EXT_RDRESP_FAULT_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_REQ_EXT_RDRESP_FAULT_SHIFT		(13)
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_REQ_EXT_RDRESP_FAULT_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_REQ_EXT_RDRESP_FAULT_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_REQ_EXT_RDRESP_FAULT_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_MEM_REQ, EXT_READ_BURST_FAULT */
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_REQ_EXT_READ_BURST_FAULT_MASK		(0x00004000)
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_REQ_EXT_READ_BURST_FAULT_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_REQ_EXT_READ_BURST_FAULT_SHIFT		(14)
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_REQ_EXT_READ_BURST_FAULT_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_REQ_EXT_READ_BURST_FAULT_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_REQ_EXT_READ_BURST_FAULT_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_MEM_REQ, INT_PROTOCOL_FAULT */
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_REQ_INT_PROTOCOL_FAULT_MASK		(0x80000000)
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_REQ_INT_PROTOCOL_FAULT_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_REQ_INT_PROTOCOL_FAULT_SHIFT		(31)
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_REQ_INT_PROTOCOL_FAULT_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_REQ_INT_PROTOCOL_FAULT_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_REQ_INT_PROTOCOL_FAULT_SIGNED_FIELD	(0)
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_REQ_INT_PROTOCOL_FAULT_NO_REPS		(16)
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_REQ_INT_PROTOCOL_FAULT_SIZE		(1)

#define IMG_VIDEO_BUS4_MMU_MMU_MEM_EXT_OUTSTANDING_OFFSET		(0x0094)

/* IMG_VIDEO_BUS4_MMU, MMU_MEM_EXT_OUTSTANDING, READ_WORDS_OUTSTANDING */
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_EXT_OUTSTANDING_READ_WORDS_OUTSTANDING_MASK		(0x0000FFFF)
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_EXT_OUTSTANDING_READ_WORDS_OUTSTANDING_LSBMASK		(0x0000FFFF)
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_EXT_OUTSTANDING_READ_WORDS_OUTSTANDING_SHIFT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_EXT_OUTSTANDING_READ_WORDS_OUTSTANDING_LENGTH		(16)
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_EXT_OUTSTANDING_READ_WORDS_OUTSTANDING_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_MEM_EXT_OUTSTANDING_READ_WORDS_OUTSTANDING_SIGNED_FIELD	(0)

#define IMG_VIDEO_BUS4_MMU_MMU_FAULT_SELECT_OFFSET		(0x00A0)

/* IMG_VIDEO_BUS4_MMU, MMU_FAULT_SELECT, MMU_FAULT_SELECT */
#define IMG_VIDEO_BUS4_MMU_MMU_FAULT_SELECT_MMU_FAULT_SELECT_MASK		(0x0000000F)
#define IMG_VIDEO_BUS4_MMU_MMU_FAULT_SELECT_MMU_FAULT_SELECT_LSBMASK		(0x0000000F)
#define IMG_VIDEO_BUS4_MMU_MMU_FAULT_SELECT_MMU_FAULT_SELECT_SHIFT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_FAULT_SELECT_MMU_FAULT_SELECT_LENGTH		(4)
#define IMG_VIDEO_BUS4_MMU_MMU_FAULT_SELECT_MMU_FAULT_SELECT_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_FAULT_SELECT_MMU_FAULT_SELECT_SIGNED_FIELD	(0)

#define IMG_VIDEO_BUS4_MMU_PROTOCOL_FAULT_OFFSET		(0x00A8)

/* IMG_VIDEO_BUS4_MMU, PROTOCOL_FAULT, FAULT_PAGE_BREAK */
#define IMG_VIDEO_BUS4_MMU_PROTOCOL_FAULT_FAULT_PAGE_BREAK_MASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_PROTOCOL_FAULT_FAULT_PAGE_BREAK_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_PROTOCOL_FAULT_FAULT_PAGE_BREAK_SHIFT		(0)
#define IMG_VIDEO_BUS4_MMU_PROTOCOL_FAULT_FAULT_PAGE_BREAK_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_PROTOCOL_FAULT_FAULT_PAGE_BREAK_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_PROTOCOL_FAULT_FAULT_PAGE_BREAK_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, PROTOCOL_FAULT, FAULT_WRITE */
#define IMG_VIDEO_BUS4_MMU_PROTOCOL_FAULT_FAULT_WRITE_MASK		(0x00000010)
#define IMG_VIDEO_BUS4_MMU_PROTOCOL_FAULT_FAULT_WRITE_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_PROTOCOL_FAULT_FAULT_WRITE_SHIFT		(4)
#define IMG_VIDEO_BUS4_MMU_PROTOCOL_FAULT_FAULT_WRITE_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_PROTOCOL_FAULT_FAULT_WRITE_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_PROTOCOL_FAULT_FAULT_WRITE_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, PROTOCOL_FAULT, FAULT_READ */
#define IMG_VIDEO_BUS4_MMU_PROTOCOL_FAULT_FAULT_READ_MASK		(0x00000020)
#define IMG_VIDEO_BUS4_MMU_PROTOCOL_FAULT_FAULT_READ_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_PROTOCOL_FAULT_FAULT_READ_SHIFT		(5)
#define IMG_VIDEO_BUS4_MMU_PROTOCOL_FAULT_FAULT_READ_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_PROTOCOL_FAULT_FAULT_READ_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_PROTOCOL_FAULT_FAULT_READ_SIGNED_FIELD	(0)

#define IMG_VIDEO_BUS4_MMU_SECURE_MIN_ADDR_OFFSET		(0x00C0)

/* IMG_VIDEO_BUS4_MMU, SECURE_MIN_ADDR, SECURE_MIN_ADDR */
#define IMG_VIDEO_BUS4_MMU_SECURE_MIN_ADDR_SECURE_MIN_ADDR_MASK		(0xFFFFFFFF)
#define IMG_VIDEO_BUS4_MMU_SECURE_MIN_ADDR_SECURE_MIN_ADDR_LSBMASK		(0xFFFFFFFF)
#define IMG_VIDEO_BUS4_MMU_SECURE_MIN_ADDR_SECURE_MIN_ADDR_SHIFT		(0)
#define IMG_VIDEO_BUS4_MMU_SECURE_MIN_ADDR_SECURE_MIN_ADDR_LENGTH		(32)
#define IMG_VIDEO_BUS4_MMU_SECURE_MIN_ADDR_SECURE_MIN_ADDR_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_SECURE_MIN_ADDR_SECURE_MIN_ADDR_SIGNED_FIELD	(0)

#define IMG_VIDEO_BUS4_MMU_SECURE_MAX_ADDR_OFFSET		(0x00C4)

/* IMG_VIDEO_BUS4_MMU, SECURE_MAX_ADDR, SECURE_MAX_ADDR */
#define IMG_VIDEO_BUS4_MMU_SECURE_MAX_ADDR_SECURE_MAX_ADDR_MASK		(0xFFFFFFFF)
#define IMG_VIDEO_BUS4_MMU_SECURE_MAX_ADDR_SECURE_MAX_ADDR_LSBMASK		(0xFFFFFFFF)
#define IMG_VIDEO_BUS4_MMU_SECURE_MAX_ADDR_SECURE_MAX_ADDR_SHIFT		(0)
#define IMG_VIDEO_BUS4_MMU_SECURE_MAX_ADDR_SECURE_MAX_ADDR_LENGTH		(32)
#define IMG_VIDEO_BUS4_MMU_SECURE_MAX_ADDR_SECURE_MAX_ADDR_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_SECURE_MAX_ADDR_SECURE_MAX_ADDR_SIGNED_FIELD	(0)

#define IMG_VIDEO_BUS4_MMU_FIRMWARE_MIN_ADDR_OFFSET		(0x00C8)

/* IMG_VIDEO_BUS4_MMU, FIRMWARE_MIN_ADDR, FIRMWARE_MIN_ADDR */
#define IMG_VIDEO_BUS4_MMU_FIRMWARE_MIN_ADDR_FIRMWARE_MIN_ADDR_MASK		(0xFFFFFFFF)
#define IMG_VIDEO_BUS4_MMU_FIRMWARE_MIN_ADDR_FIRMWARE_MIN_ADDR_LSBMASK		(0xFFFFFFFF)
#define IMG_VIDEO_BUS4_MMU_FIRMWARE_MIN_ADDR_FIRMWARE_MIN_ADDR_SHIFT		(0)
#define IMG_VIDEO_BUS4_MMU_FIRMWARE_MIN_ADDR_FIRMWARE_MIN_ADDR_LENGTH		(32)
#define IMG_VIDEO_BUS4_MMU_FIRMWARE_MIN_ADDR_FIRMWARE_MIN_ADDR_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_FIRMWARE_MIN_ADDR_FIRMWARE_MIN_ADDR_SIGNED_FIELD	(0)

#define IMG_VIDEO_BUS4_MMU_FIRMWARE_MAX_ADDR_OFFSET		(0x00CC)

/* IMG_VIDEO_BUS4_MMU, FIRMWARE_MAX_ADDR, FIRMWARE_MAX_ADDR */
#define IMG_VIDEO_BUS4_MMU_FIRMWARE_MAX_ADDR_FIRMWARE_MAX_ADDR_MASK		(0xFFFFFFFF)
#define IMG_VIDEO_BUS4_MMU_FIRMWARE_MAX_ADDR_FIRMWARE_MAX_ADDR_LSBMASK		(0xFFFFFFFF)
#define IMG_VIDEO_BUS4_MMU_FIRMWARE_MAX_ADDR_FIRMWARE_MAX_ADDR_SHIFT		(0)
#define IMG_VIDEO_BUS4_MMU_FIRMWARE_MAX_ADDR_FIRMWARE_MAX_ADDR_LENGTH		(32)
#define IMG_VIDEO_BUS4_MMU_FIRMWARE_MAX_ADDR_FIRMWARE_MAX_ADDR_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_FIRMWARE_MAX_ADDR_FIRMWARE_MAX_ADDR_SIGNED_FIELD	(0)

#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_OFFSET		(0x00D0)

/*
 * IMG_VIDEO_BUS4_MMU, SECURE_FAULT_ENABLE,
 * SECURE_READ_TO_NON_SECURE_MEM_FAULT_ENABLE
 */
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_SECURE_READ_TO_NON_SECURE_MEM_FAULT_ENABLE_MASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_SECURE_READ_TO_NON_SECURE_MEM_FAULT_ENABLE_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_SECURE_READ_TO_NON_SECURE_MEM_FAULT_ENABLE_SHIFT		(0)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_SECURE_READ_TO_NON_SECURE_MEM_FAULT_ENABLE_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_SECURE_READ_TO_NON_SECURE_MEM_FAULT_ENABLE_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_SECURE_READ_TO_NON_SECURE_MEM_FAULT_ENABLE_SIGNED_FIELD	(0)

/*
 * IMG_VIDEO_BUS4_MMU, SECURE_FAULT_ENABLE,
 * SECURE_WRITE_TO_NON_SECURE_MEM_FAULT_ENABLE
 */
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_SECURE_WRITE_TO_NON_SECURE_MEM_FAULT_ENABLE_MASK		(0x00000002)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_SECURE_WRITE_TO_NON_SECURE_MEM_FAULT_ENABLE_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_SECURE_WRITE_TO_NON_SECURE_MEM_FAULT_ENABLE_SHIFT		(1)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_SECURE_WRITE_TO_NON_SECURE_MEM_FAULT_ENABLE_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_SECURE_WRITE_TO_NON_SECURE_MEM_FAULT_ENABLE_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_SECURE_WRITE_TO_NON_SECURE_MEM_FAULT_ENABLE_SIGNED_FIELD	(0)

/*
 * IMG_VIDEO_BUS4_MMU, SECURE_FAULT_ENABLE,
 * NON_SECURE_READ_TO_SECURE_MEM_FAULT_ENABLE
 */
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_NON_SECURE_READ_TO_SECURE_MEM_FAULT_ENABLE_MASK		(0x00000004)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_NON_SECURE_READ_TO_SECURE_MEM_FAULT_ENABLE_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_NON_SECURE_READ_TO_SECURE_MEM_FAULT_ENABLE_SHIFT		(2)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_NON_SECURE_READ_TO_SECURE_MEM_FAULT_ENABLE_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_NON_SECURE_READ_TO_SECURE_MEM_FAULT_ENABLE_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_NON_SECURE_READ_TO_SECURE_MEM_FAULT_ENABLE_SIGNED_FIELD	(0)

/*
 * IMG_VIDEO_BUS4_MMU, SECURE_FAULT_ENABLE,
 * NON_SECURE_WRITE_TO_SECURE_MEM_FAULT_ENABLE
 */
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_NON_SECURE_WRITE_TO_SECURE_MEM_FAULT_ENABLE_MASK		(0x00000008)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_NON_SECURE_WRITE_TO_SECURE_MEM_FAULT_ENABLE_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_NON_SECURE_WRITE_TO_SECURE_MEM_FAULT_ENABLE_SHIFT		(3)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_NON_SECURE_WRITE_TO_SECURE_MEM_FAULT_ENABLE_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_NON_SECURE_WRITE_TO_SECURE_MEM_FAULT_ENABLE_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_NON_SECURE_WRITE_TO_SECURE_MEM_FAULT_ENABLE_SIGNED_FIELD	(0)

/*
 * IMG_VIDEO_BUS4_MMU, SECURE_FAULT_ENABLE,
 * FIRMWARE_READ_TO_NON_FIRMWARE_MEM_FAULT_ENABLE
 */
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_FIRMWARE_READ_TO_NON_FIRMWARE_MEM_FAULT_ENABLE_MASK		(0x00000010)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_FIRMWARE_READ_TO_NON_FIRMWARE_MEM_FAULT_ENABLE_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_FIRMWARE_READ_TO_NON_FIRMWARE_MEM_FAULT_ENABLE_SHIFT		(4)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_FIRMWARE_READ_TO_NON_FIRMWARE_MEM_FAULT_ENABLE_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_FIRMWARE_READ_TO_NON_FIRMWARE_MEM_FAULT_ENABLE_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_FIRMWARE_READ_TO_NON_FIRMWARE_MEM_FAULT_ENABLE_SIGNED_FIELD	(0)

/*
 * IMG_VIDEO_BUS4_MMU, SECURE_FAULT_ENABLE,
 * FIRMWARE_WRITE_TO_NON_FIRMWARE_MEM_FAULT_ENABLE
 */
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_FIRMWARE_WRITE_TO_NON_FIRMWARE_MEM_FAULT_ENABLE_MASK		(0x00000020)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_FIRMWARE_WRITE_TO_NON_FIRMWARE_MEM_FAULT_ENABLE_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_FIRMWARE_WRITE_TO_NON_FIRMWARE_MEM_FAULT_ENABLE_SHIFT		(5)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_FIRMWARE_WRITE_TO_NON_FIRMWARE_MEM_FAULT_ENABLE_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_FIRMWARE_WRITE_TO_NON_FIRMWARE_MEM_FAULT_ENABLE_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_FIRMWARE_WRITE_TO_NON_FIRMWARE_MEM_FAULT_ENABLE_SIGNED_FIELD	(0)

/*
 * IMG_VIDEO_BUS4_MMU, SECURE_FAULT_ENABLE,
 * NON_FIRMWARE_READ_TO_FIRMWARE_MEM_FAULT_ENABLE
 */
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_NON_FIRMWARE_READ_TO_FIRMWARE_MEM_FAULT_ENABLE_MASK		(0x00000040)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_NON_FIRMWARE_READ_TO_FIRMWARE_MEM_FAULT_ENABLE_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_NON_FIRMWARE_READ_TO_FIRMWARE_MEM_FAULT_ENABLE_SHIFT		(6)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_NON_FIRMWARE_READ_TO_FIRMWARE_MEM_FAULT_ENABLE_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_NON_FIRMWARE_READ_TO_FIRMWARE_MEM_FAULT_ENABLE_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_NON_FIRMWARE_READ_TO_FIRMWARE_MEM_FAULT_ENABLE_SIGNED_FIELD	(0)

/*
 * IMG_VIDEO_BUS4_MMU, SECURE_FAULT_ENABLE,
 * NON_FIRMWARE_WRITE_TO_FIRMWARE_MEM_FAULT_ENABLE
 */
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_NON_FIRMWARE_WRITE_TO_FIRMWARE_MEM_FAULT_ENABLE_MASK		(0x00000080)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_NON_FIRMWARE_WRITE_TO_FIRMWARE_MEM_FAULT_ENABLE_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_NON_FIRMWARE_WRITE_TO_FIRMWARE_MEM_FAULT_ENABLE_SHIFT		(7)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_NON_FIRMWARE_WRITE_TO_FIRMWARE_MEM_FAULT_ENABLE_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_NON_FIRMWARE_WRITE_TO_FIRMWARE_MEM_FAULT_ENABLE_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_NON_FIRMWARE_WRITE_TO_FIRMWARE_MEM_FAULT_ENABLE_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, SECURE_FAULT_ENABLE, MMU_CONTEXT_SECURE */
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_MMU_CONTEXT_SECURE_MASK		(0x00080000)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_MMU_CONTEXT_SECURE_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_MMU_CONTEXT_SECURE_SHIFT		(19)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_MMU_CONTEXT_SECURE_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_MMU_CONTEXT_SECURE_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_MMU_CONTEXT_SECURE_SIGNED_FIELD	(0)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_MMU_CONTEXT_SECURE_NO_REPS		(4)
#define IMG_VIDEO_BUS4_MMU_SECURE_FAULT_ENABLE_MMU_CONTEXT_SECURE_SIZE		(1)

#define IMG_VIDEO_BUS4_MMU_TOTAL_READ_REQ_OFFSET		(0x0100)

/* IMG_VIDEO_BUS4_MMU, TOTAL_READ_REQ, TOTAL_READ_REQ */
#define IMG_VIDEO_BUS4_MMU_TOTAL_READ_REQ_TOTAL_READ_REQ_MASK		(0xFFFFFFFF)
#define IMG_VIDEO_BUS4_MMU_TOTAL_READ_REQ_TOTAL_READ_REQ_LSBMASK		(0xFFFFFFFF)
#define IMG_VIDEO_BUS4_MMU_TOTAL_READ_REQ_TOTAL_READ_REQ_SHIFT		(0)
#define IMG_VIDEO_BUS4_MMU_TOTAL_READ_REQ_TOTAL_READ_REQ_LENGTH		(32)
#define IMG_VIDEO_BUS4_MMU_TOTAL_READ_REQ_TOTAL_READ_REQ_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_TOTAL_READ_REQ_TOTAL_READ_REQ_SIGNED_FIELD	(0)

#define IMG_VIDEO_BUS4_MMU_TOTAL_WRITE_REQ_OFFSET		(0x0104)

/* IMG_VIDEO_BUS4_MMU, TOTAL_WRITE_REQ, TOTAL_WRITE_REQ */
#define IMG_VIDEO_BUS4_MMU_TOTAL_WRITE_REQ_TOTAL_WRITE_REQ_MASK		(0xFFFFFFFF)
#define IMG_VIDEO_BUS4_MMU_TOTAL_WRITE_REQ_TOTAL_WRITE_REQ_LSBMASK		(0xFFFFFFFF)
#define IMG_VIDEO_BUS4_MMU_TOTAL_WRITE_REQ_TOTAL_WRITE_REQ_SHIFT		(0)
#define IMG_VIDEO_BUS4_MMU_TOTAL_WRITE_REQ_TOTAL_WRITE_REQ_LENGTH		(32)
#define IMG_VIDEO_BUS4_MMU_TOTAL_WRITE_REQ_TOTAL_WRITE_REQ_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_TOTAL_WRITE_REQ_TOTAL_WRITE_REQ_SIGNED_FIELD	(0)

#define IMG_VIDEO_BUS4_MMU_READS_LESS_64_REQ_OFFSET		(0x0108)

/* IMG_VIDEO_BUS4_MMU, READS_LESS_64_REQ, READS_LESS_64_REQ */
#define IMG_VIDEO_BUS4_MMU_READS_LESS_64_REQ_READS_LESS_64_REQ_MASK		(0xFFFFFFFF)
#define IMG_VIDEO_BUS4_MMU_READS_LESS_64_REQ_READS_LESS_64_REQ_LSBMASK		(0xFFFFFFFF)
#define IMG_VIDEO_BUS4_MMU_READS_LESS_64_REQ_READS_LESS_64_REQ_SHIFT		(0)
#define IMG_VIDEO_BUS4_MMU_READS_LESS_64_REQ_READS_LESS_64_REQ_LENGTH		(32)
#define IMG_VIDEO_BUS4_MMU_READS_LESS_64_REQ_READS_LESS_64_REQ_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_READS_LESS_64_REQ_READS_LESS_64_REQ_SIGNED_FIELD	(0)

#define IMG_VIDEO_BUS4_MMU_WRITES_LESS_64_REQ_OFFSET		(0x010C)

/* IMG_VIDEO_BUS4_MMU, WRITES_LESS_64_REQ, WRITES_LESS_64_REQ */
#define IMG_VIDEO_BUS4_MMU_WRITES_LESS_64_REQ_WRITES_LESS_64_REQ_MASK		(0xFFFFFFFF)
#define IMG_VIDEO_BUS4_MMU_WRITES_LESS_64_REQ_WRITES_LESS_64_REQ_LSBMASK		(0xFFFFFFFF)
#define IMG_VIDEO_BUS4_MMU_WRITES_LESS_64_REQ_WRITES_LESS_64_REQ_SHIFT		(0)
#define IMG_VIDEO_BUS4_MMU_WRITES_LESS_64_REQ_WRITES_LESS_64_REQ_LENGTH		(32)
#define IMG_VIDEO_BUS4_MMU_WRITES_LESS_64_REQ_WRITES_LESS_64_REQ_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_WRITES_LESS_64_REQ_WRITES_LESS_64_REQ_SIGNED_FIELD	(0)

#define IMG_VIDEO_BUS4_MMU_EXT_CMD_STALL_OFFSET		(0x0120)

/* IMG_VIDEO_BUS4_MMU, EXT_CMD_STALL, EXT_CMD_STALL */
#define IMG_VIDEO_BUS4_MMU_EXT_CMD_STALL_EXT_CMD_STALL_MASK		(0xFFFFFFFF)
#define IMG_VIDEO_BUS4_MMU_EXT_CMD_STALL_EXT_CMD_STALL_LSBMASK		(0xFFFFFFFF)
#define IMG_VIDEO_BUS4_MMU_EXT_CMD_STALL_EXT_CMD_STALL_SHIFT		(0)
#define IMG_VIDEO_BUS4_MMU_EXT_CMD_STALL_EXT_CMD_STALL_LENGTH		(32)
#define IMG_VIDEO_BUS4_MMU_EXT_CMD_STALL_EXT_CMD_STALL_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_EXT_CMD_STALL_EXT_CMD_STALL_SIGNED_FIELD	(0)

#define IMG_VIDEO_BUS4_MMU_WRITE_REQ_STALL_OFFSET		(0x0124)

/* IMG_VIDEO_BUS4_MMU, WRITE_REQ_STALL, WRITE_REQ_STALL */
#define IMG_VIDEO_BUS4_MMU_WRITE_REQ_STALL_WRITE_REQ_STALL_MASK		(0xFFFFFFFF)
#define IMG_VIDEO_BUS4_MMU_WRITE_REQ_STALL_WRITE_REQ_STALL_LSBMASK		(0xFFFFFFFF)
#define IMG_VIDEO_BUS4_MMU_WRITE_REQ_STALL_WRITE_REQ_STALL_SHIFT		(0)
#define IMG_VIDEO_BUS4_MMU_WRITE_REQ_STALL_WRITE_REQ_STALL_LENGTH		(32)
#define IMG_VIDEO_BUS4_MMU_WRITE_REQ_STALL_WRITE_REQ_STALL_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_WRITE_REQ_STALL_WRITE_REQ_STALL_SIGNED_FIELD	(0)

#define IMG_VIDEO_BUS4_MMU_MMU_MISS_STALL_OFFSET		(0x0128)

/* IMG_VIDEO_BUS4_MMU, MMU_MISS_STALL, MMU_MISS_STALL */
#define IMG_VIDEO_BUS4_MMU_MMU_MISS_STALL_MMU_MISS_STALL_MASK		(0xFFFFFFFF)
#define IMG_VIDEO_BUS4_MMU_MMU_MISS_STALL_MMU_MISS_STALL_LSBMASK		(0xFFFFFFFF)
#define IMG_VIDEO_BUS4_MMU_MMU_MISS_STALL_MMU_MISS_STALL_SHIFT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_MISS_STALL_MMU_MISS_STALL_LENGTH		(32)
#define IMG_VIDEO_BUS4_MMU_MMU_MISS_STALL_MMU_MISS_STALL_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_MISS_STALL_MMU_MISS_STALL_SIGNED_FIELD	(0)

#define IMG_VIDEO_BUS4_MMU_ADDRESS_STALL_OFFSET		(0x012C)

/* IMG_VIDEO_BUS4_MMU, ADDRESS_STALL, ADDRESS_STALL */
#define IMG_VIDEO_BUS4_MMU_ADDRESS_STALL_ADDRESS_STALL_MASK		(0xFFFFFFFF)
#define IMG_VIDEO_BUS4_MMU_ADDRESS_STALL_ADDRESS_STALL_LSBMASK		(0xFFFFFFFF)
#define IMG_VIDEO_BUS4_MMU_ADDRESS_STALL_ADDRESS_STALL_SHIFT		(0)
#define IMG_VIDEO_BUS4_MMU_ADDRESS_STALL_ADDRESS_STALL_LENGTH		(32)
#define IMG_VIDEO_BUS4_MMU_ADDRESS_STALL_ADDRESS_STALL_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_ADDRESS_STALL_ADDRESS_STALL_SIGNED_FIELD	(0)

#define IMG_VIDEO_BUS4_MMU_TAG_STALL_OFFSET		(0x0130)

/* IMG_VIDEO_BUS4_MMU, TAG_STALL, TAG_STALL */
#define IMG_VIDEO_BUS4_MMU_TAG_STALL_TAG_STALL_MASK		(0xFFFFFFFF)
#define IMG_VIDEO_BUS4_MMU_TAG_STALL_TAG_STALL_LSBMASK		(0xFFFFFFFF)
#define IMG_VIDEO_BUS4_MMU_TAG_STALL_TAG_STALL_SHIFT		(0)
#define IMG_VIDEO_BUS4_MMU_TAG_STALL_TAG_STALL_LENGTH		(32)
#define IMG_VIDEO_BUS4_MMU_TAG_STALL_TAG_STALL_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_TAG_STALL_TAG_STALL_SIGNED_FIELD	(0)

#define IMG_VIDEO_BUS4_MMU_PEAK_READ_OUTSTANDING_OFFSET		(0x0140)

/* IMG_VIDEO_BUS4_MMU, PEAK_READ_OUTSTANDING, PEAK_TAG_OUTSTANDING */
#define IMG_VIDEO_BUS4_MMU_PEAK_READ_OUTSTANDING_PEAK_TAG_OUTSTANDING_MASK		(0x000003FF)
#define IMG_VIDEO_BUS4_MMU_PEAK_READ_OUTSTANDING_PEAK_TAG_OUTSTANDING_LSBMASK		(0x000003FF)
#define IMG_VIDEO_BUS4_MMU_PEAK_READ_OUTSTANDING_PEAK_TAG_OUTSTANDING_SHIFT		(0)
#define IMG_VIDEO_BUS4_MMU_PEAK_READ_OUTSTANDING_PEAK_TAG_OUTSTANDING_LENGTH		(10)
#define IMG_VIDEO_BUS4_MMU_PEAK_READ_OUTSTANDING_PEAK_TAG_OUTSTANDING_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_PEAK_READ_OUTSTANDING_PEAK_TAG_OUTSTANDING_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, PEAK_READ_OUTSTANDING, PEAK_READ_LATENCY */
#define IMG_VIDEO_BUS4_MMU_PEAK_READ_OUTSTANDING_PEAK_READ_LATENCY_MASK		(0xFFFF0000)
#define IMG_VIDEO_BUS4_MMU_PEAK_READ_OUTSTANDING_PEAK_READ_LATENCY_LSBMASK		(0x0000FFFF)
#define IMG_VIDEO_BUS4_MMU_PEAK_READ_OUTSTANDING_PEAK_READ_LATENCY_SHIFT		(16)
#define IMG_VIDEO_BUS4_MMU_PEAK_READ_OUTSTANDING_PEAK_READ_LATENCY_LENGTH		(16)
#define IMG_VIDEO_BUS4_MMU_PEAK_READ_OUTSTANDING_PEAK_READ_LATENCY_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_PEAK_READ_OUTSTANDING_PEAK_READ_LATENCY_SIGNED_FIELD	(0)

#define IMG_VIDEO_BUS4_MMU_AVERAGE_READ_LATENCY_OFFSET		(0x0144)

/* IMG_VIDEO_BUS4_MMU, AVERAGE_READ_LATENCY, AVERAGE_READ_LATENCY */
#define IMG_VIDEO_BUS4_MMU_AVERAGE_READ_LATENCY_AVERAGE_READ_LATENCY_MASK		(0xFFFFFFFF)
#define IMG_VIDEO_BUS4_MMU_AVERAGE_READ_LATENCY_AVERAGE_READ_LATENCY_LSBMASK		(0xFFFFFFFF)
#define IMG_VIDEO_BUS4_MMU_AVERAGE_READ_LATENCY_AVERAGE_READ_LATENCY_SHIFT		(0)
#define IMG_VIDEO_BUS4_MMU_AVERAGE_READ_LATENCY_AVERAGE_READ_LATENCY_LENGTH		(32)
#define IMG_VIDEO_BUS4_MMU_AVERAGE_READ_LATENCY_AVERAGE_READ_LATENCY_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_AVERAGE_READ_LATENCY_AVERAGE_READ_LATENCY_SIGNED_FIELD	(0)

#define IMG_VIDEO_BUS4_MMU_STATISTICS_CONTROL_OFFSET		(0x0160)

/* IMG_VIDEO_BUS4_MMU, STATISTICS_CONTROL, BANDWIDTH_STATS_INIT */
#define IMG_VIDEO_BUS4_MMU_STATISTICS_CONTROL_BANDWIDTH_STATS_INIT_MASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_STATISTICS_CONTROL_BANDWIDTH_STATS_INIT_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_STATISTICS_CONTROL_BANDWIDTH_STATS_INIT_SHIFT		(0)
#define IMG_VIDEO_BUS4_MMU_STATISTICS_CONTROL_BANDWIDTH_STATS_INIT_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_STATISTICS_CONTROL_BANDWIDTH_STATS_INIT_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_STATISTICS_CONTROL_BANDWIDTH_STATS_INIT_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, STATISTICS_CONTROL, STALL_STATS_INIT */
#define IMG_VIDEO_BUS4_MMU_STATISTICS_CONTROL_STALL_STATS_INIT_MASK		(0x00000002)
#define IMG_VIDEO_BUS4_MMU_STATISTICS_CONTROL_STALL_STATS_INIT_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_STATISTICS_CONTROL_STALL_STATS_INIT_SHIFT		(1)
#define IMG_VIDEO_BUS4_MMU_STATISTICS_CONTROL_STALL_STATS_INIT_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_STATISTICS_CONTROL_STALL_STATS_INIT_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_STATISTICS_CONTROL_STALL_STATS_INIT_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, STATISTICS_CONTROL, LATENCY_STATS_INIT */
#define IMG_VIDEO_BUS4_MMU_STATISTICS_CONTROL_LATENCY_STATS_INIT_MASK		(0x00000004)
#define IMG_VIDEO_BUS4_MMU_STATISTICS_CONTROL_LATENCY_STATS_INIT_LSBMASK		(0x00000001)
#define IMG_VIDEO_BUS4_MMU_STATISTICS_CONTROL_LATENCY_STATS_INIT_SHIFT		(2)
#define IMG_VIDEO_BUS4_MMU_STATISTICS_CONTROL_LATENCY_STATS_INIT_LENGTH		(1)
#define IMG_VIDEO_BUS4_MMU_STATISTICS_CONTROL_LATENCY_STATS_INIT_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_STATISTICS_CONTROL_LATENCY_STATS_INIT_SIGNED_FIELD	(0)

#define IMG_VIDEO_BUS4_MMU_MMU_VERSION_OFFSET		(0x01D0)

/* IMG_VIDEO_BUS4_MMU, MMU_VERSION, MMU_MAJOR_REV */
#define IMG_VIDEO_BUS4_MMU_MMU_VERSION_MMU_MAJOR_REV_MASK		(0x00FF0000)
#define IMG_VIDEO_BUS4_MMU_MMU_VERSION_MMU_MAJOR_REV_LSBMASK		(0x000000FF)
#define IMG_VIDEO_BUS4_MMU_MMU_VERSION_MMU_MAJOR_REV_SHIFT		(16)
#define IMG_VIDEO_BUS4_MMU_MMU_VERSION_MMU_MAJOR_REV_LENGTH		(8)
#define IMG_VIDEO_BUS4_MMU_MMU_VERSION_MMU_MAJOR_REV_DEFAULT		(4)
#define IMG_VIDEO_BUS4_MMU_MMU_VERSION_MMU_MAJOR_REV_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_VERSION, MMU_MINOR_REV */
#define IMG_VIDEO_BUS4_MMU_MMU_VERSION_MMU_MINOR_REV_MASK		(0x0000FF00)
#define IMG_VIDEO_BUS4_MMU_MMU_VERSION_MMU_MINOR_REV_LSBMASK		(0x000000FF)
#define IMG_VIDEO_BUS4_MMU_MMU_VERSION_MMU_MINOR_REV_SHIFT		(8)
#define IMG_VIDEO_BUS4_MMU_MMU_VERSION_MMU_MINOR_REV_LENGTH		(8)
#define IMG_VIDEO_BUS4_MMU_MMU_VERSION_MMU_MINOR_REV_DEFAULT		(3)
#define IMG_VIDEO_BUS4_MMU_MMU_VERSION_MMU_MINOR_REV_SIGNED_FIELD	(0)

/* IMG_VIDEO_BUS4_MMU, MMU_VERSION, MMU_MAINT_REV */
#define IMG_VIDEO_BUS4_MMU_MMU_VERSION_MMU_MAINT_REV_MASK		(0x000000FF)
#define IMG_VIDEO_BUS4_MMU_MMU_VERSION_MMU_MAINT_REV_LSBMASK		(0x000000FF)
#define IMG_VIDEO_BUS4_MMU_MMU_VERSION_MMU_MAINT_REV_SHIFT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_VERSION_MMU_MAINT_REV_LENGTH		(8)
#define IMG_VIDEO_BUS4_MMU_MMU_VERSION_MMU_MAINT_REV_DEFAULT		(0)
#define IMG_VIDEO_BUS4_MMU_MMU_VERSION_MMU_MAINT_REV_SIGNED_FIELD	(0)

#endif /* _IMG_VIDEO_BUS4_MMU_REGS_H */
